use num_derive::FromPrimitive;
use serde_derive::{Deserialize, Serialize};

// NMConnectivityState
#[derive(FromPrimitive, PartialEq, Eq, Hash, Serialize, Deserialize, Clone, Debug)]
#[repr(u32)]
pub enum ConnectivityState {
    Unknown = 0,
    None = 1,
    Portal = 2,
    Limited = 3,
    Full = 4,
}
